AceStream - Обсуждение

[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./acestreamengine --client-gtk
потом в другом терминале
$ top
...у меня стрелка вправо и появляется то, что скрыто за окном и там ты должен увидать надпись acestream (в выводе top)
В одном терминале ввел команду
[zerg@Swarm-PC ~]$ cd /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ls
acestream.conf  acestreamengine  acestream.log  data  lib  start-engine
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./acestreamengine --client-gtk
load config from file: /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/acestream.conf
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$
В другом терминале top

сделал скрин, что бы показать что нет процесса acestreame
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./acestreamengine --client-console
и снова смотрим top
Alain_Prost
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./acestreamengine --client-console
и снова смотрим top
в первом терминале
[zerg@Swarm-PC ~]$ cd /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./acestreamengine --client-console
2017-03-01 23:46:47,288|MainThread|acestream|error during startup
Traceback (most recent call last):
  File "core.c", line 1590, in
  File "core.c", line 144, in
  File "core.c", line 37, in
  File "build/bdist.linux-x86_64/egg/blist.py", line 1, in <module>
  File "build/bdist.linux-x86_64/egg/_blist.py", line 7, in <module>
  File "build/bdist.linux-x86_64/egg/_blist.py", line 3, in __bootstrap__
ImportError: No module named pkg_resources
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$
Второй терминал скрин
завтра на работе смогу попробовать на машине, на которой ace не ставил ни разу и отпишусь, так сложно мне что-то сказать
Alain_Prost
набери в терминале
top
и посмотри, стартанул ли acestreamengine ?
$ pgrep -l acestreamengine
в консоли
она рабочая, но древняя
А Вам обязательно свежак или что бы работало?!
На 3.0.5 я смотрю ТВ уже около года и никаких проблем.
Пакеты, которые не хотели ставиться как зависимости acestream-player-data я скачивал и собирал вручную (всё с того же aur'а)

Yashalta
, ставь player-data, с какими пакетами будет проблема напиши - выложу в облако, установишь вручную.

upd: и если пытаться запустить версию 3.1.16 из директории, то так:
./start-engine --client-gtk --bind-all
A.T.W.A.
Alain_Prost
набери в терминале
top
и посмотри, стартанул ли acestreamengine ?
$ pgrep -l acestreamengine
[zerg@Swarm-PC ~]$ cd /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ pgrep -l acestreamengine
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ 
http://storage1.static.itmages.ru/i/17/0302/h_1488438509_5840755_33128484f3.png
Нет, не запускается.
Ralph
она рабочая, но древняя
А Вам обязательно свежак или что бы работало?!
На 3.0.5 я смотрю ТВ уже около года и никаких проблем.
Пакеты, которые не хотели ставиться как зависимости acestream-player-data я скачивал и собирал вручную (всё с того же aur'а)

Yashalta
, ставь player-data, с какими пакетами будет проблема напиши - выложу в облако, установишь вручную.

upd: и если пытаться запустить версию 3.1.16 из директории, то так:
./start-engine --client-gtk --bind-all
Мне конечно главное, что бы работало! Но, раз уже начали пытаться ставить актуальную на сегодняшний день то, уже у меня "спортивный интерес" разобраться почему у всех работает а у меня нет! В ближайшем будущем если результат будет отрицательным, я обязательно воспользуюсь вашим советом!!!
Ниже ваш вариант запуска движка
[zerg@Swarm-PC ~]$ cd /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$ ./start-engine --client-gtk --bind-all
load config from file: /home/zerg/acestream_3.1.16_ubuntu_16.04_x86_64/acestream.conf
[zerg@Swarm-PC acestream_3.1.16_ubuntu_16.04_x86_64]$


PS - хочу просто напомнить, было удалено все из системы со словом acestream, со всеми зависимостями и просто скачен пакет для Ubuntu16 и разархивирован после чего мы пытаемся его запустить. Может нужно установить все зависимости и после пробовать запускать движок?
Yashalta
актуальную на сегодняшний день
В таком случае вот Вам пакеты собранные: drive.google.com
Для установки пакета вручную используйте
sudo pacman -U <pkg_name>
Затем, как выше писал,
sudo ln -s /usr/share/acestream/lib/ /usr/bin/lib
sudo systemctl start acestream-engine.service
sudo systemctl enable acestream-engine.service
Yashalta, Вы так никогда не установите.
Не гоняйтесь Вы лучше за актуальной версией , а установите из aur
Еще раз: чтобы быстрее собиралось, установите для начала этот пакет
qtwebkit-2.3.4-5-x86_64.pkg.tar.xz
$ sudo pacman -U qtwebkit-2.3.4-5-x86_64.pkg.tar.xz
Далее:
yaourt -S acestream-engine acestream-mozilla-plugin acestream-player
Все остальное подтянется по зависимостям.
После сделайте это:
(добавить эти строки в /etc/pacman.conf) :
[ayatana]
# Unity and related packages
# http://pkgbuild.com/~bgyorgy/ayatana.html
SigLevel = PackageRequired
Server = http://pkgbuild.com/~bgyorgy/$repo/os/$arch

sudo pacman -Syy
sudo pacman -S libappindicator
Эти acestream-proxy acestream-proxy-player, если понадобятся потом установите.

 
Зарегистрироваться или войдите чтобы оставить сообщение.